List Cluster Resources
GET
/clusters/{cluster_id}/resources
const url = 'https://api.mengi.cloud/clusters/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/resources?kind=example&page=1&page_size=50&include_system=false';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.mengi.cloud/clusters/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/resources?kind=example&page=1&page_size=50&include_system=false'List a cluster’s Kubernetes resources of one kind (paginated).
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”cluster_id
required
Cluster Id
string format: uuid
Query Parameters
Section titled “Query Parameters”kind
required
Kind
Resource kind (nodes, pods, services, deployments, statefulsets, daemonsets, ingresses)
string
Resource kind (nodes, pods, services, deployments, statefulsets, daemonsets, ingresses)
page
Page
integer
page_size
Page Size
integer
include_system
Include System
Include system namespaces
boolean
Include system namespaces
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
Examplegenerated
exampleValidation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}